jdic
  1. jdic
  2. JDIC-542

jdic_native_applet.jar (version 0.9.5) use api java 1.6, not java 1.4

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: current
    • Fix Version/s: None
    • Component/s: JDIC general
    • Labels:
      None
    • Environment:

      Operating System: Windows XP
      Platform: All

    • Issuezilla Id:
      542

      Description

      jdic_native_applet.jar (in version 0.9.5) use api java 1.6, not java 1.4

      Native loader!
      Exception in thread "AWT-EventQueue-1" java.lang.NoSuchMethodError:
      java.io.File.setExecutable(Z)Z
      at org.jdesktop.jdic.init.NativeExtractor$1.run
      (NativeExtractor.java:176)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.jdesktop.jdic.init.NativeExtractor.loadLibruary
      (NativeExtractor.java:172)
      at org.jdesktop.jdic.init.JdicManager.loadLibrary(Unknown Source)
      at org.jdesktop.jdic.desktop.internal.impl.WinAPIWrapper.<clinit>
      (WinAPIWrapper.java:35)
      at org.jdesktop.jdic.desktop.internal.impl.WinUtility.getVerbCommand
      (WinUtility.java:85)
      at org.jdesktop.jdic.desktop.internal.impl.WinLaunchService.open
      (WinLaunchService.java:90)
      at org.jdesktop.jdic.desktop.Desktop.open(Unknown Source)

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            michael_shan
            Reporter:
            vdubus
          • Votes:
            1 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated: